> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/screen/screen.setiosswipeback.md).

# Screen.setIosSwipeBack

> Functional API `setIosSwipeGestureEnabled`You can use the same functionality with it as well.

### Feature description

Turn the swipe-to-go-back feature on or off on iOS. `isEnabled`is `true`If true, you can go back by swiping, `false`and if false, it is disabled.

### Type

```ts
Screen.setIosSwipeBack(options: SetIosSwipeGestureEnabledOptions): Promise<void>;
```

**Params**

```ts
interface SetIosSwipeGestureEnabledOptions {
  isEnabled: boolean;
}
```

**Response**

None.

### Example code

```js
import { Screen } from "@apps-in-toss/web-framework";

// When you want to turn off swipe back
await Screen.setIosSwipeBack({ isEnabled: false });

// When you want to turn swipe back on again
await Screen.setIosSwipeBack({ isEnabled: true });
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/screen/screen.setiosswipeback.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
